export const classNames = (className: string, obj: Record<string, string | boolean> = {}, classNameExtra = ''): string => {
	return Object.entries(obj).reduce((total: string[], [key, value]) => {
		if (!value) return total;
		return [
			...total,
			typeof value === 'boolean' ? `${key}` : `${key}-${value}`
		];
	}, [className, classNameExtra]).join(' ');
};
