import fs from 'fs';
import path from 'path';

const fileToSvelte = async (directory, ext = 'svg', extTransform = 'svelte') => {
	const directoryFiles = fs.readdirSync(directory);
	directoryFiles.forEach(file => {
		const currentDirectory = `${directory}/${file}`;
		const stat = fs.statSync(currentDirectory);

		if (stat.isDirectory()) {
			fileToSvelte(currentDirectory);
			return;
		}

		if (path.extname(file) !== `.${ext}`) {
			return;
		}

		fs.renameSync(currentDirectory, currentDirectory.replace(`.${ext}`, `.${extTransform}`));
	});
};


fileToSvelte('./src/lib/components/icons');
